package com.jpsoft.shinestar.modules.base.service;

import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.base.entity.SchoolServe;
import com.jpsoft.shinestar.modules.common.dto.Sort;

import java.util.List;
import java.util.Map;

/**
 * @author 墨鱼_mo
 * @date 2020-7-27 14:17
 */
public interface SchoolServeService {

    SchoolServe get(String id);
    boolean exist(String id);
    int insert(SchoolServe model);
    int update(SchoolServe model);
    int delete(String id);
    List<SchoolServe> list();
    Page<SchoolServe> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);

    List<SchoolServe> findByCompanyId(String companyId);

    List<SchoolServe> searchParams(Map<String, Object> searchParams);
}
